import { Button, Spin } from "antd";
import { useTranslation } from "react-i18next";
import {
  Constants,
  getUserSessionFromLocalStorage,
  myFetch,
} from "../../../utils";
import { useEffect, useState } from "react";
import MyCenteredContainer from "../../../Components/MyContainer";

export default function StoreCalendar() {
  const { t } = useTranslation();

  const [isRequesting, setIsRequesting] = useState(true);

  useEffect(() => {
    myFetch("/calendar/settings", "GET")
      .then((res) => {
        console.log(res);

        setIsRequesting(false);
      })
      .catch((err) => {
        console.log(err);
      });
  }, []);

  if (isRequesting) {
    return (
      <MyCenteredContainer>
        <Spin size="large" />
      </MyCenteredContainer>
    );
  }

  return (
    <>
      <h1>{t("calendar.pageTitle")}</h1>

      <Button
        //href={`${Constants.API_ADDRESS}/calendar/auth/google`}
        onClick={() => {
          document.cookie = `session=${getUserSessionFromLocalStorage()}; max-age=${
            5 * 60
          }; path=/;`;

          window.location.href = `${Constants.API_ADDRESS}/calendar/auth/google`;
        }}
      >
        LOGIN with GOOGLE
      </Button>
    </>
  );
}
